/* cả trang */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: black;
  font-weight: bold;
  font-size: 20px;
}

a:hover {
  color: #808080;
}

/* Header */
header {
    padding: 20px 50px;
    height: 70px;
    position: relative;
    background-color: #F8F8FF;
    margin-bottom: 40px;
    overflow: hidden;
}

/* Logo */
.logo {
    float: left;
    width: 25%;
    font-weight: bolder;
}

.logo > p {
    margin-top: -5%;
    font-size: 50px;
    font-style: oblique;
}

/* Menu */
.menu {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    white-space: nowrap;
}

.menu > li {
    padding: 0 12px;
    display: inline-block;
    margin-right: 24px;
}

.menu > li:last-child {
    margin-right: 0;
}

.menu > li > a:hover {
    color: #000000;
    border: none;
    border-bottom: 2px solid #000000;
} 

/* Others */
.others {
    float: right;
    width: 25%;
    text-align: right;
}

.others > li {
    display: inline-block;
    padding: 0 12px;
    border: none;
    border-right: 2px solid #000000;
}

.others > li:last-child {
    border-right: none;
}

.others > li:first-child {
    position: relative;
}

.others > li:first-child input {
    width: 100%;
    height: 125%;
    border: none;
    border-bottom: 1px solid #333;
    background-color: #F8F8FF;
}

.others > li:first-child i {
    position: absolute;
    right: 15px;
    top: 55%;
    transform: translateY(-50%);
}

/* main sản phẩm */
main {
  padding: 40px 60px;
  background-color: #ffffff;
}

.product-container {
  overflow: hidden;
}

.product-image {
  float: left;
  width: 40%;
  min-width: 300px;
  max-width: 500px;
  margin-right: 50px;
}

.product-image img {
  width: 100%;
  border-radius: 3px;
  object-fit: cover;
  border: 1px solid #000000;
}

.product-info {
  overflow: hidden;
}

.product-info h2 {
  font-size: 26px;
  margin-bottom: 12px;
}

.product-info .price {
  font-size: 22px;
  font-weight: bold;
  color: #e60000;
  margin-bottom: 10px;
}

.product-info p {
  margin-bottom: 10px;
}

.product-info p i {
  font-family: monospace;
  font-size: 120%;
  color: #66CC33;
  font-weight: bold;
}

.sizes {
  margin: 20px 0;
}

.sizes p {
  font-weight: 500;
  margin-bottom: 8px;
}

.size-giay {
  display: inline-block;
  padding: 8px 16px;
  margin: 4px;
  font-size: 16px;
  border: 1px solid #444;
  border-radius: 5px;
  cursor: pointer;
  background-color: #fff;
  transition: background-color 0.3s;
}

.size-giay:hover {
  background-color: #f2f2f2;
}

.product-buttons {
  margin-top: 25px;
}

.buy-now,
.add-to-cart {
  display: inline-block;
  padding: 12px 28px;
  font-size: 16px;
  border: none;
  border-radius: 12px;
  cursor: pointer;
  transition: 0.3s;
  margin-right: 20px;
}

.buy-now {
  background-color: #e60000;
  color: #fff;
}

.buy-now:hover {
  background-color: #cc0000;
}

.add-to-cart {
  background-color: #000000;
  color: #fff;
}

.add-to-cart:hover {
  background-color: #808080;
}

/* Footer */
footer {
    position: relative;
    background-color: #F8F8FF;
    padding: 40px 80px;
    overflow: hidden;
}

.footer-left {
    float: left;
    width: 70%;
    text-align: left;
}

.footer-left p {
    margin: 6px 0;
    line-height: 1.6;
}

.footer-right {
    position: absolute;
    bottom: 10px;
    right: 20px;
    text-align: right;
}

.footer-right p, .footer-right h4 {
    margin: 0;
}

/* Android */
@media (max-width: 600px) {
  header {
        padding: 10px 20px;
        height: auto;
    }

    .logo {
        float: none;
        width: 100%;
        font-size: 30px;
        margin-bottom: 10px;
        text-align: center;
    }

    .menu {
        position: static;
        width: 70%;
        text-align: center;
        margin-left: 50%;
    }

    .menu > li {
        display: inline-block;
        padding: 15px 0;
        margin-right: 15px;
    }

    .menu > li:last-child {
        margin-bottom: 0;
    }

    .others {
        float: none;
        width: 100%;
        text-align: center;
        margin-top: 10px;
    }

    .others > li {
        padding: 0 8px;
    }
    
    .others > li:first-child input {
        width: 100%;
    }

  .product-image {
    float: none;
    width: 100%;
    margin-right: 0;
  }

  .product-info {
    overflow: visible;
  }
  /* footer */
  footer {
        padding: 20px 20px;
    }

    .footer-left {
        float: none;
        width: 100%;
        transform: translateX(0);
        text-align: center;
    }

    .footer-right {
        position: static;
        text-align: center;
        padding: 10px 0;
    }
}

/* tablet */
@media (min-width: 601px) and (max-width: 1024px) {
  header {
        padding: 10px 5px;
        height: auto;
    }

    .menu {
        left: 45%;
    }

    .menu > li {
        display: inline-block;
        margin-right: 5px;
    }

    .others {
        float: none;
        width: 100%;
        margin-top: 10px;
    }

    .others > li:first-child input {
        width: 70%;
    }

    .footer-left {
        width: 50%;
        transform: translateX(40px);
    }

    .footer-right {
        float: right;
        position: static;
        padding: 0;
    }

}
